## jansson 2.1

=== debian/changelog ===
jansson (2.1-1) unstable; urgency=low

  * New upstream release
    - Fix set-but-not-used warning/error in a test (Closes: #625359)
  * Update libjansson4 *.symbols file
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 11 Jun 2011 00:01:40 +0200

jansson (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #561051)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 31 Mar 2011 22:21:16 +0200
