=== debian/control ===
Source: jansson
Priority: optional
Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, python-sphinx (>= 1.0)
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.digip.org/jansson/
Vcs-Git: git://git.debian.org/collab-maint/jansson.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jansson.git;a=summary

Package: libjansson-dev
Section: libdevel
Architecture: any
Depends: libjansson4 (= ${binary:Version}), ${misc:Depends}
Description: C library for encoding, decoding and manipulating JSON data (dev)
 Jansson is a C library for encoding, decoding and manipulating JSON data.
 .
 It features:
  * Simple and intuitive API and data model
  * Comprehensive documentation
  * No dependencies on other libraries
  * Full Unicode support (UTF-8)
  * Extensive test suite
 .
 This package contains the development files for jansson.


Package: libjansson4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library for encoding, decoding and manipulating JSON data
 Jansson is a C library for encoding, decoding and manipulating JSON data.
 .
 It features:
  * Simple and intuitive API and data model
  * Comprehensive documentation
  * No dependencies on other libraries
  * Full Unicode support (UTF-8)
  * Extensive test suite

Package: libjansson-doc
Section: doc
Architecture: any
Depends: libjansson4 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
Description: C library for encoding, decoding and manipulating JSON data (doc)
 Jansson is a C library for encoding, decoding and manipulating JSON data.
 .
 It features:
  * Simple and intuitive API and data model
  * Comprehensive documentation
  * No dependencies on other libraries
  * Full Unicode support (UTF-8)
  * Extensive test suite
 .
 This package contains the documentation for jansson.
