=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	dh_auto_build
	$(MAKE) html

override_dh_install:
	dh_install -Xjquery.js
