=== debian/watch ===
version=3

http://githubredir.debian.net/github/akheron/jansson .*/v(.*).tar.gz
