## jansson 2.2.1

=== debian/changelog ===
jansson (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 06 Oct 2011 21:07:15 +0200

jansson (2.2-1) unstable; urgency=low

  * New upstream release
  * Do not use upstream tarball from GitHub anymore, 
    update watch file accordingly
  * Replace dh-autoreconf with autotools-dev
  * Bump debhelper compat level to 8
  * Update *.symbols file
  * Make -doc package Architecture: all
  * Do not bundle underscore.js library included by sphinx
  * Don't depend on libjansson4 from -doc package 
    (fixes not-binnmuable-all-depends-any lintian error)
  * Move libjansson4 package up in debian/control
  * Remove dh_install override from debian/rules (not needed)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 03 Sep 2011 14:29:48 +0200
