=== debian/watch ===
version=3

http://www.digip.org/jansson/releases/jansson-([\d+\.]*).tar.gz
