## jansson 2.3

=== debian/changelog ===
jansson (2.3-2) unstable; urgency=low

  * Do not use dh_sphinxdoc anymore (should fix the various FTBFS)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 13 Feb 2012 10:21:19 +0100

jansson (2.3-1) unstable; urgency=low

  * New upstream release
  * Use dh_sphinxdoc script
    - Build depends on python-sphinx (>= 1.0.7+dfsg)
    - Link to and depend on libjs-backbone in -doc package
  * Add libjansson-dbg debug package
  * Update *.symbols file

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 27 Jan 2012 21:54:54 +0100
