=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: jansson
 Priority: optional
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
-Build-Depends: debhelper (>= 8), autotools-dev, python-sphinx (>= 1.0)
+Build-Depends: debhelper (>= 8),
+ autotools-dev,
+ python-sphinx (>= 1.0)
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.digip.org/jansson/
@@ -40,7 +42,11 @@
 Package: libjansson-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends},
+ libjs-backbone,
+ libjs-jquery,
+ libjs-underscore,
+ libjs-sphinxdoc (>= 1.0)
 Description: C library for encoding, decoding and manipulating JSON data (doc)
  Jansson is a C library for encoding, decoding and manipulating JSON data.
  .
@@ -52,3 +58,20 @@
   * Extensive test suite
  .
  This package contains the documentation for jansson.
+
+Package: libjansson-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, libjansson4 (= ${binary:Version})
+Description: C library for encoding, decoding and manipulating JSON data (debug)
+ Jansson is a C library for encoding, decoding and manipulating JSON data.
+ .
+ It features:
+  * Simple and intuitive API and data model
+  * Comprehensive documentation
+  * No dependencies on other libraries
+  * Full Unicode support (UTF-8)
+  * Extensive test suite
+ .
+ This package provides the debugging symbols for jansson.
