=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with=autotools-dev

override_dh_auto_build:
	dh_auto_build
	$(MAKE) html

override_dh_strip:
	dh_strip --dbg-package=libjansson-dbg
