## jansson 2.3.1

=== debian/changelog ===
jansson (2.3.1-2) unstable; urgency=low

  * Make -dev package Multi-Arch: same too
  * Move python-sphinx to build-depends-indep

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Jun 2012 17:05:29 +0200

jansson (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Add Multi-Arch headers
  * Use multi-arch aware paths in *.install files
  * Update upstream copyright years

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 21 Apr 2012 14:30:56 +0200
