=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: jansson
 Priority: optional
-Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
-Build-Depends: debhelper (>= 8),
- autotools-dev,
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Build-Depends: debhelper (>= 9),
+ autotools-dev
+Build-Depends-Indep:
  python-sphinx (>= 1.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.digip.org/jansson/
 Vcs-Git: git://git.debian.org/collab-maint/jansson.git
@@ -13,6 +14,8 @@
 Package: libjansson4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: C library for encoding, decoding and manipulating JSON data
  Jansson is a C library for encoding, decoding and manipulating JSON data.
  .
@@ -27,6 +30,7 @@
 Section: libdevel
 Architecture: any
 Depends: libjansson4 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: C library for encoding, decoding and manipulating JSON data (dev)
  Jansson is a C library for encoding, decoding and manipulating JSON data.
  .
@@ -64,6 +68,7 @@
 Section: debug
 Architecture: any
 Depends: ${misc:Depends}, libjansson4 (= ${binary:Version})
+Multi-Arch: same
 Description: C library for encoding, decoding and manipulating JSON data (debug)
  Jansson is a C library for encoding, decoding and manipulating JSON data.
  .
