=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
+ifeq ($(shell dpkg-query -s python-sphinx 1>/dev/null 2>&1 && echo yes),yes)
 	$(MAKE) html
+endif
 
 override_dh_strip:
 	dh_strip --dbg-package=libjansson-dbg
