## jansson 2.4

=== debian/changelog ===
jansson (2.4-1) unstable; urgency=low

  * New upstream release
    - Fix FTBFS on ppc64. Thanks to Aurelien Jarno (Closes: #684468)
  * Update *.symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 23 Sep 2012 14:00:33 +0200
