## jansson 2.5

=== debian/changelog ===
jansson (2.5-2) unstable; urgency=medium

  * Fix vcs-field-not-canonical
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el.
    Thanks to Logan Rosen for the patch (Closes: #732822)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 22 Dec 2013 15:31:36 +0100

jansson (2.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4
  * Update upstream copyright years

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 20 Sep 2013 10:44:52 +0200
