=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: jansson
 Priority: optional
 Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 9),
- autotools-dev
-Build-Depends-Indep:
- python-sphinx (>= 1.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Build-Depends-Indep: python-sphinx (>= 1.0)
+Standards-Version: 3.9.5
 Section: libs
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jansson.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/jansson.git
 Homepage: http://www.digip.org/jansson/
-Vcs-Git: git://git.debian.org/collab-maint/jansson.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/jansson.git;a=summary
 
 Package: libjansson4
 Architecture: any
