=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with=autotools-dev
+	dh $@ --with=autoreconf
 
 override_dh_auto_build:
 	dh_auto_build
