## jansson 2.6

=== debian/changelog ===
jansson (2.6-1) unstable; urgency=high

  * New upstream release
    - Fix hash function so that it is not susceptible to predictable hash
      collisions as per CVE-2013-6401 (Closes: #738647)
    - Set urgency=high accordingly
  * Update symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 12 Feb 2014 14:27:38 +0100
