=== debian/changelog ===
jansson (2.7-3ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Stack exhaustion parsing a JSON file
    - debian/patches/CVE-2016-4425.patch: Fix in src/load.c and
      src/jansson_config.h.in
    - CVE-2016-4425

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 01 Aug 2018 09:32:47 -0300

jansson (2.7-3) unstable; urgency=medium

  * Always build the documentation (Closes: #789675)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Jun 2015 13:11:09 +0200

jansson (2.7-2) unstable; urgency=medium

  * Use dh_sphinxdoc before installing documentation (Closes: #769327)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 22 Jun 2015 14:42:51 +0200

jansson (2.7-1) unstable; urgency=medium

  * New upstream release
    - Support ``\u0000`` escapes in the decoder (Closes: #739207)
  * Update symbols file
  * Update upstream copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 02 Oct 2014 16:05:46 +0200
