=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: jansson
+Section: libs
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Build-Depends-Indep: python-sphinx (>= 1.0)
-Standards-Version: 3.9.5
-Section: libs
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, python-sphinx (>= 1.0)
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jansson.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/jansson.git
 Homepage: http://www.digip.org/jansson/
@@ -44,11 +44,7 @@
 Package: libjansson-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
- libjs-backbone,
- libjs-jquery,
- libjs-underscore,
- libjs-sphinxdoc (>= 1.0)
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: C library for encoding, decoding and manipulating JSON data (doc)
  Jansson is a C library for encoding, decoding and manipulating JSON data.
  .
