=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autoreconf,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) html

override_dh_strip:
	dh_strip --dbg-package=libjansson-dbg
