## jansson 2.9

=== debian/changelog ===
jansson (2.9-1) unstable; urgency=medium

  * New upstream release
  * Drop 01_CVE-2016-4425.patch (merged upstream)
  * Update symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 19 Nov 2016 16:31:48 +0000

jansson (2.7-5) unstable; urgency=high

  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Fix stack exhaustion when parsing JSON as per CVE-2016-4425
    (Closes: #823238)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 14 May 2016 16:45:26 +0100

jansson (2.7-4) unstable; urgency=medium

  * Make build reproducible (Closes: #789748)
    Thanks to Juan Picca for the patch
  * Drop -dbg package
  * Update Vcs links
  * Improve cross Build-Depends satisfiability (Closes: #807848)
    Thanks to Helmut Grohne for the patch

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 23 Apr 2016 13:53:34 +0100
