=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: jansson
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, python-sphinx (>= 1.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jansson.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/jansson.git
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Build-Depends-Indep: python-sphinx (>= 1.0)
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/jansson.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/jansson.git
 Homepage: http://www.digip.org/jansson/
 
 Package: libjansson4
@@ -56,21 +56,3 @@
   * Extensive test suite
  .
  This package contains the documentation for jansson.
-
-Package: libjansson-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libjansson4 (= ${binary:Version})
-Multi-Arch: same
-Description: C library for encoding, decoding and manipulating JSON data (debug)
- Jansson is a C library for encoding, decoding and manipulating JSON data.
- .
- It features:
-  * Simple and intuitive API and data model
-  * Comprehensive documentation
-  * No dependencies on other libraries
-  * Full Unicode support (UTF-8)
-  * Extensive test suite
- .
- This package provides the debugging symbols for jansson.
