=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"

%:
	dh $@ --with=autoreconf

binary binary-indep build build-indep install install-indep:
	dh $@ --with=autoreconf,sphinxdoc

override_dh_auto_build-indep:
	$(MAKE) html SPHINXOPTS="$(SPHINXOPTS)"

override_dh_auto_test-indep override_dh_auto_install-indep:
