=== debian/changelog ===
jansson (2.10-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.0.0 (no changes needed)
  * Update symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 24 Jul 2017 00:17:43 +0100
