=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Build-Depends-Indep: python-sphinx (>= 1.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/jansson.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/jansson.git
 Homepage: http://www.digip.org/jansson/
