## jansson 2.11

=== debian/changelog ===
jansson (2.11-1) unstable; urgency=medium

  * New upstream release
  * Fix useless-autoreconf-build-depends dh-autoreconf
  * Switch to Python3 version of Sphinx
  * Update symbols file
  * Use SOURCE_DATE_EPOCH instead of dpkg-parsechangelog output
  * Update doc-base paths

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 11 Feb 2018 19:19:55 +0000
