=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Build-Depends-Indep: python-sphinx (>= 1.0)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/jansson.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/jansson.git
+Build-Depends: debhelper (>= 11)
+Build-Depends-Indep: python3-sphinx (>= 1.0)
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/jansson.git
+Vcs-Browser: https://salsa.debian.org/debian/jansson
 Homepage: http://www.digip.org/jansson/
 
 Package: libjansson4
